Page MenuHomePhabricator

rccontinue not properly handled
Closed, ResolvedPublic

Description

The new rccontinue parameter is not properly handled:

  • rc_id is not included in the ORDER BY
  • continue handling checks the wrong value for $params['dir'], and so fails with the default dir=older
  • continue handling assumes for dir=older that the query will be "ORDER BY rc_timestamp DESC, rc_id ASC", which would filesort.

Gerrit change to follow momentarily, once I have the bug number for the commit summary.


Version: 1.21.x
Severity: major

Details

Reference
bz46787

Event Timeline

bzimport raised the priority of this task from to Unbreak Now!.Nov 22 2014, 1:35 AM
bzimport added a project: MediaWiki-API.
bzimport set Reference to bz46787.
Anomie created this task.Apr 2 2013, 2:05 PM
Anomie added a comment.Apr 2 2013, 2:06 PM

Gerrit change 57067

Setting Backport_to_Stable from + to ? as it has not been merged into 1.21 yet (if I get the workflow correctly).

Anomie added a comment.Apr 2 2013, 2:42 PM

(In reply to comment #2)

Setting Backport_to_Stable from + to ? as it has not been merged into 1.21
yet (if I get the workflow correctly).

Thanks. I had incorrectly thought "+" was for "this should be backported", not "I backported it".

This breaks a lot of anti-vandalism bots from what Brad tells me, so setting priority to "immediate" here. Brad plans to get this deployed during lightening deploys this afternoon if he can find a reviewer.

Patch got merged.

And deployed: https://wikitech.wikimedia.org/w/index.php?title=Server_Admin_Log&diff=65266&oldid=65264.

Marking this bug resolved/fixed accordingly. Please re-open if I'm mistaken (I haven't really been following this issue, just pushing paper around here).

Anomie added a comment.Apr 3 2013, 1:50 PM

Mark as backported: The link Gerrit change Ia6ebd4ea should show the various backporting changesets as well as the original.